This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 821432 - Dependency resolution check failed for freetds (missing libodbc.so.2()(64bit), etc.)
Dependency resolution check failed for freetds (missing libodbc.so.2()(64bit)...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum (Show other bugs)
6.4
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-14 09:14 EDT by Daniel Forsberg
Modified: 2014-01-21 01:25 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-31 16:25:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Forsberg 2012-05-14 09:14:31 EDT
Description of problem:

$ sudo yum install freetds.x86_64
Loaded plugins: product-id, rhnplugin, subscription-manager
Updating Red Hat repositories.
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package freetds.x86_64 0:0.91-2.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

===================================================================================================================
 Package             Arch               Version                   Repository                                  Size
===================================================================================================================
Installing:
 freetds             x86_64             0.91-2.el6                seblsp-2.0-x86_64-seb-custom-6             567 k

Transaction Summary
===================================================================================================================
Install       1 Package(s)

Total download size: 567 k
Installed size: 0  
Is this ok [y/N]: y
Downloading Packages:
freetds-0.91-2.el6.x86_64.rpm                                                               | 567 kB     00:00     
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
libodbc.so.2()(64bit) is needed by freetds-0.91-2.el6.x86_64
libodbcinst.so.2()(64bit) is needed by freetds-0.91-2.el6.x86_64
Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%206&component=yum
 You could try running: rpm -Va --nofiles --nodigest
Your transaction was saved, rerun it with: yum load-transaction /tmp/yum_save_tx-2012-05-14-15-09DdxbPv.yumtx


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:

no install

Expected results:

install of freeTDS and unixODBC

Additional info:
Comment 2 James Antill 2012-05-14 12:54:35 EDT
What does: 


yum provides 'libodbc.so.2()(64bit)'

...say?
Comment 3 RHEL Product and Program Management 2012-05-18 00:05:16 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 RHEL Product and Program Management 2012-07-31 16:25:57 EDT
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.